Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSumSetNumSubspaces

Set the number of spaces in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSumSetNumSubspaces(PetscDualSpace sp, PetscInt numSumSpaces)

## Input Parameters

- sp - the dual space object

- numSumSpaces - the number of spaces

## Note

The name NumSubspaces is slightly misleading because it is actually setting the number of defining spaces of the sum, not a number of Subspaces of it

## See Also

`PETSCDUALSPACESUM`, `PetscDualSpace`, `PetscDualSpaceSumGetNumSubspaces()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/sum/dualspacesum.c

## Implementations

PetscDualSpaceSumSetNumSubspaces_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages